# System Pipes

This repository should contain pipe definitions for internal processes of the EMDS platform!

## Overview

Currently the following pipes are defined:

| Pipe                                                  | File                         | Description                                                                                                            |
|-------------------------------------------------------|------------------------------|------------------------------------------------------------------------------------------------------------------------|
| `metrics` - Base metrics                              | `pipe-metrics.json`          | Executes the basic metric process containing the annotator and shacl validator. The result is stored as DQV in the hub |
| `metrics-extended` - Metrics with CSV linter segment  | `pipe-metrics-extended.json` | Like base but with some extensions, e.g. the data linter                                                               |
| `pipe-mobilithek` - mobilithek harvester              | `pipe-mobilithek.yaml`       | Mobilithek without filter.                                                                                             |
| `pipe-mobilithek1` - mobilithek harvester with filter | `pipe-mobilithek1.yaml`      | Mobilithek filtered include all URI https://mobilithek.info/offers/*                                                   |
| `pipe-mobilithek2` - mobilithek harvester with filter  | `pipe-mobilithek2.yaml`      | Mobilithek filtered exclude all URI https://mobilithek.info/offers/*                                                   |
